Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionInterner

- All Known Subinterfaces:
    `InternalCDORevisionCache`, `InternalCDORevisionManager`
  All Known Implementing Classes:
    `DelegatingCDORevisionManager`

      public interface CDORevisionInterner

  Since:
    4.15
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORevision` | `internRevision​(CDORevision revision)` | Interns the given revision and returns either the given revision or a revision with the same `key` that was interned previously.

- - ### Method Detail

    - #### internRevision

          CDORevision internRevision​(CDORevision revision)

      Interns the given revision and returns either the given revision or a revision with the same `key` that was interned previously.

      The returned revision is only different from the passed revision if this interner contains a previously cached, different revision instance with an equal `revision key`.